(*  Delphi Dialog
    Dialogfenster Papiergreneinstellung
    =====================================

    Dr. J. Rathlev, D-24222 Schwentinental (kontakt(a)rathlev-home.de)

   The contents of this file may be used under the terms of the
   Mozilla Public License ("MPL") or
   GNU Lesser General Public License Version 2 or later (the "LGPL")

   Software distributed under this License is distributed on an "AS IS" basis,
   WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
   the specific language governing rights and limitations under the License.

   Jan. 2000
   last modified: Nov. 2021
   *)

unit Sizedlg;

interface

uses Winapi.Windows, System.SysUtils, System.Classes, Vcl.Graphics, Vcl.Forms,
  Vcl.Controls, Vcl.StdCtrls, Vcl.Buttons, Vcl.ExtCtrls, NumberEd, WinUtils;

type
  TSizeDialog = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    GroupBox: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    HeightEdit: TFloatEdit;
    WidthEdit: TFloatEdit;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  function Execute (const Title,ACaption : string;
                    var Size       : TFPoint) : boolean;
  end;

var
  SizeDialog: TSizeDialog;

implementation

{$R *.DFM}

uses GgtDummy;

{------------------------------------------------------------------- }
procedure TSizeDialog.FormCreate(Sender: TObject);
begin
  TranslateComponent (self,'dialogs');
  end;

{------------------------------------------------------------------- }
function TSizeDialog.Execute (const Title,ACaption : string;
                              var Size       : TFPoint) : boolean;
begin
  Caption:=Title;
  GroupBox.Caption:=ACaption;
  with Size do begin
    HeightEdit.Value:=Y;
    WidthEdit.Value:=X;
    end;
  ActiveControl:=HeightEdit;
  if ShowModal=mrOK then begin
    with Size do begin
      Y:=HeightEdit.Value;
      X:=WidthEdit.Value;
      end;
    Result:=true;
    end
  else Result:=false;
  end;

end.
